Package picard.analysis

## Class CollectQualityYieldMetrics.QualityYieldMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.analysis.CollectQualityYieldMetrics.QualityYieldMetrics

- Enclosing class:
    CollectQualityYieldMetrics

      public static class CollectQualityYieldMetrics.QualityYieldMetrics
      extends htsjdk.samtools.metrics.MetricBase

  A set of metrics used to describe the general quality of a BAM file

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `PF_BASES` | The total number of bases in all PF reads
    `long` | `PF_Q20_BASES` | The number of bases in PF reads that achieve quality score 20 or higher
    `long` | `PF_Q20_EQUIVALENT_YIELD` | The sum of quality scores of all bases in PF reads divided by 20
    `long` | `PF_Q30_BASES` | The number of bases in PF reads that achieve quality score 30 or higher
    `long` | `PF_READS` | The number of reads that are PF - pass filter
    `long` | `Q20_BASES` | The number of bases in all reads that achieve quality score 20 or higher
    `long` | `Q20_EQUIVALENT_YIELD` | The sum of quality scores of all bases divided by 20
    `long` | `Q30_BASES` | The number of bases in all reads that achieve quality score 30 or higher
    `int` | `READ_LENGTH` | The average read length of all the reads (will be fixed for a lane)
    `long` | `TOTAL_BASES` | The total number of bases in all reads
    `long` | `TOTAL_READS` | The total number of reads in the input file

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QualityYieldMetrics()` |

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TOTAL_READS

          public long TOTAL_READS

      The total number of reads in the input file

    - #### PF_READS

          public long PF_READS

      The number of reads that are PF - pass filter

    - #### READ_LENGTH

          public int READ_LENGTH

      The average read length of all the reads (will be fixed for a lane)

    - #### TOTAL_BASES

          public long TOTAL_BASES

      The total number of bases in all reads

    - #### PF_BASES

          public long PF_BASES

      The total number of bases in all PF reads

    - #### Q20_BASES

          public long Q20_BASES

      The number of bases in all reads that achieve quality score 20 or higher

    - #### PF_Q20_BASES

          public long PF_Q20_BASES

      The number of bases in PF reads that achieve quality score 20 or higher

    - #### Q30_BASES

          public long Q30_BASES

      The number of bases in all reads that achieve quality score 30 or higher

    - #### PF_Q30_BASES

          public long PF_Q30_BASES

      The number of bases in PF reads that achieve quality score 30 or higher

    - #### Q20_EQUIVALENT_YIELD

          public long Q20_EQUIVALENT_YIELD

      The sum of quality scores of all bases divided by 20

    - #### PF_Q20_EQUIVALENT_YIELD

          public long PF_Q20_EQUIVALENT_YIELD

      The sum of quality scores of all bases in PF reads divided by 20

  - ### Constructor Detail

    - #### QualityYieldMetrics

          public QualityYieldMetrics()